# FoundationClasses
TKernel
Storage

# Storage_BucketIterator Class Reference

`#include <Storage_BucketOfPersistent.hxx>`

## Public Member Functions

| Storage_BucketIterator (Storage_BucketOfPersistent *)
void | Init (Storage_BucketOfPersistent *)
void | Reset ()
Standard_Persistent * | Value () const
Standard_Boolean | More () const
void | Next ()

## Private Attributes

Storage_BucketOfPersistent * | myBucket
Storage_Bucket * | myCurrentBucket
Standard_Integer | myCurrentBucketIndex
Standard_Integer | myCurrentIndex
Standard_Integer | myBucketNumber
Standard_Boolean | myMoreObject

## Constructor & Destructor Documentation

Storage_BucketIterator::Storage_BucketIterator | ( | Storage_BucketOfPersistent * |  | ) |

## Member Function Documentation

void Storage_BucketIterator::Init | ( | Storage_BucketOfPersistent * |  | ) |

Standard_Boolean Storage_BucketIterator::More | ( |  | ) | const`[inline]`

void Storage_BucketIterator::Next | ( |  | ) |

void Storage_BucketIterator::Reset | ( |  | ) |

Standard_Persistent* Storage_BucketIterator::Value | ( |  | ) | const`[inline]`

## Field Documentation

Storage_BucketOfPersistent* Storage_BucketIterator::myBucket `[private]`

Standard_Integer Storage_BucketIterator::myBucketNumber `[private]`

Storage_Bucket* Storage_BucketIterator::myCurrentBucket `[private]`

Standard_Integer Storage_BucketIterator::myCurrentBucketIndex `[private]`

Standard_Integer Storage_BucketIterator::myCurrentIndex `[private]`

Standard_Boolean Storage_BucketIterator::myMoreObject `[private]`

The documentation for this class was generated from the following file:

- Storage_BucketOfPersistent.hxx